-- phpMyAdmin SQL Dump
-- version OVH
-- https://www.phpmyadmin.net/
--
-- Hôte : mabasededonnees.mysql.db
-- Généré le :  lun. 13 juil. 2020 à 13:42
-- Version du serveur :  5.6.48-log
-- Version de PHP :  7.3.18

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données :  `enteabtfpymantis`
--

-- --------------------------------------------------------

--
-- Structure de la table `adherents`
--

CREATE TABLE `adherents` (
  `id_adherent` int(11) NOT NULL,
  `nom` varchar(30) NOT NULL DEFAULT '',
  `prenom` varchar(30) NOT NULL DEFAULT '',
  `adhesion` int(11) NOT NULL DEFAULT '0',
  `adresse` varchar(50) NOT NULL DEFAULT '',
  `codepostal` int(5) NOT NULL DEFAULT '0',
  `ville` varchar(30) NOT NULL DEFAULT '',
  `telephone` varchar(15) NOT NULL DEFAULT '',
  `email` varchar(30) DEFAULT NULL,
  `enfants` text,
  `avertissement` text,
  `autorisation` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='liste des emprunteur';

--
-- Déchargement des données de la table `adherents`
--

INSERT INTO `adherents` (`id_adherent`, `nom`, `prenom`, `adhesion`, `adresse`, `codepostal`, `ville`, `telephone`, `email`, `enfants`, `avertissement`, `autorisation`) VALUES
(1, 'BRAUN', 'Norbert', 0, '6, rue de la Toussaint', 90000, 'Belfort', '01 01 01 01 01', 'nb@siloged.fr', NULL, '			', 1),
(2, 'MULLER', 'Xavier', 0, '1 rue du meunier', 68100, 'Mulhouse', '01 01 01 01 02', 'xavierM@gmail.com', 'Harry Julie', '			', 1),
(3, 'BRAUN', 'Corinne', 0, '1 rue des acacias', 68100, 'Mulhouse', '06 01 01 01 01', 'corinneb@gmail.com', 'Anne Jane', '									', 1),
(4, 'DUPONT', 'Laurent', 0, '1, rue du pont', 68000, 'Colmar', '06 21 21 21 21', 'laurentd@gmail.com', 'Martin Anatole', '						', 1);

-- --------------------------------------------------------

--
-- Structure de la table `ages`
--

CREATE TABLE `ages` (
  `id_age` int(11) NOT NULL,
  `age` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='table definissant les ages';

--
-- Déchargement des données de la table `ages`
--

INSERT INTO `ages` (`id_age`, `age`) VALUES
(7, '- de 3 ans'),
(5, 'à partir de 10 ans'),
(2, 'à partir de 3 ans'),
(3, 'à partir de 6 ans'),
(4, 'à partir de 8 ans'),
(6, 'de 15 à plus');

-- --------------------------------------------------------

--
-- Structure de la table `categories`
--

CREATE TABLE `categories` (
  `id_categorie` int(11) NOT NULL,
  `categorie` varchar(40) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Categorie de jeux';

--
-- Déchargement des données de la table `categories`
--

INSERT INTO `categories` (`id_categorie`, `categorie`) VALUES
(6, 'Chiffre'),
(15, 'Educatif'),
(10, 'Grands jeux'),
(1, 'Jeu de carte'),
(13, 'Jeu de plein air'),
(5, 'Jeu de strategie'),
(12, 'Jeu en réparation'),
(8, 'Jeux coopératifs'),
(9, 'jeux d\'association - lotos'),
(11, 'Jeux de société'),
(2, 'Lettre'),
(3, 'Mémoire');

-- --------------------------------------------------------

--
-- Structure de la table `cotisations`
--

CREATE TABLE `cotisations` (
  `id_cotisation` int(11) NOT NULL,
  `cot_debut` date NOT NULL DEFAULT '0000-00-00',
  `cot_fin` date NOT NULL DEFAULT '0000-00-00',
  `fk_adherent` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='periode dadhesion';

--
-- Déchargement des données de la table `cotisations`
--

INSERT INTO `cotisations` (`id_cotisation`, `cot_debut`, `cot_fin`, `fk_adherent`) VALUES
(1, '2020-04-11', '2020-04-20', 1),
(7, '2020-01-30', '2021-01-29', 4),
(10, '2020-01-30', '2020-02-02', 1),
(11, '2020-01-30', '2020-02-15', 3),
(12, '2020-04-12', '2020-05-01', 1);

-- --------------------------------------------------------

--
-- Structure de la table `emprunts`
--

CREATE TABLE `emprunts` (
  `id_emprunt` int(11) NOT NULL,
  `fk_jeu` int(11) NOT NULL,
  `fk_adherent` int(11) NOT NULL,
  `date` date NOT NULL DEFAULT '0000-00-00',
  `fk_ludothequaire` int(11) NOT NULL,
  `en_pret` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='liaison jeux et adherents pour lemprunt';

--
-- Déchargement des données de la table `emprunts`
--

INSERT INTO `emprunts` (`id_emprunt`, `fk_jeu`, `fk_adherent`, `date`, `fk_ludothequaire`, `en_pret`) VALUES
(1, 1, 3, '2020-01-05', 15, 0),
(2, 2, 1, '2020-01-05', 15, 1),
(3, 3, 1, '2020-01-05', 15, 1),
(4, 4, 3, '2020-01-30', 15, 0),
(5, 1, 4, '2020-01-30', 15, 0);

-- --------------------------------------------------------

--
-- Structure de la table `jeux`
--

CREATE TABLE `jeux` (
  `id_jeu` int(11) NOT NULL,
  `nom` varchar(100) NOT NULL,
  `numero` int(11) NOT NULL,
  `description` text,
  `contenu` tinytext NOT NULL,
  `fk_categorie` int(11) NOT NULL,
  `fk_age` int(11) NOT NULL,
  `date_achat` date DEFAULT NULL,
  `prix_achat` int(5) DEFAULT NULL,
  `en_pret` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='table de description du jeu';

--
-- Déchargement des données de la table `jeux`
--

INSERT INTO `jeux` (`id_jeu`, `nom`, `numero`, `description`, `contenu`, `fk_categorie`, `fk_age`, `date_achat`, `prix_achat`, `en_pret`) VALUES
(1, 'Echec', 1, 'Le jeu le plus populaire au monde', 'Damier 64 cases  - 32 pièces', 5, 3, '2020-04-11', 55, 0),
(2, 'Abalone', 2, 'Le but du jeu est d’être le premier à faire sortir 6 billes adverses du plan de jeu en les poussant avec ses propres billes.', 'Damier de 61 cases - 2x 14 billes', 5, 3, '2020-04-11', 50, 1),
(3, 'Dixit', 3, 'un jeu de devinettes qui repose sur un univers poetique', '50 cartes', 11, 4, '2020-01-03', 30, 1),
(4, 'Colons de Catanne', 4, 'Construire, conquerir et atteindre 10 ppoints de victoires.', '37 terrains', 11, 4, '2020-01-04', 30, 0);

-- --------------------------------------------------------

--
-- Structure de la table `ludothecaires`
--

CREATE TABLE `ludothecaires` (
  `id_ludo` int(11) NOT NULL,
  `nom` varchar(40) NOT NULL,
  `prenom` varchar(40) NOT NULL,
  `login` varchar(15) NOT NULL,
  `password` varchar(33) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='liste des lodothequaire';

--
-- Déchargement des données de la table `ludothecaires`
--

INSERT INTO `ludothecaires` (`id_ludo`, `nom`, `prenom`, `login`, `password`) VALUES
(15, 'Administrateur', 'Administrateur', 'ADMIN', '21232f297a57a5a743894a0e4a801fc3'),
(16, 'UHA', 'Uha', 'UHA', '1a5e2b944676cd39d9d756235eb64685'),
(17, 'LUDO', 'Ludo', 'LUDO', '28fdcc190153c0fd2ff538ec18fcc113');

--
-- Index pour les tables déchargées
--

--
-- Index pour la table `adherents`
--
ALTER TABLE `adherents`
  ADD PRIMARY KEY (`id_adherent`),
  ADD UNIQUE KEY `telephone` (`telephone`),
  ADD UNIQUE KEY `email` (`email`);

--
-- Index pour la table `ages`
--
ALTER TABLE `ages`
  ADD PRIMARY KEY (`id_age`),
  ADD UNIQUE KEY `age` (`age`);

--
-- Index pour la table `categories`
--
ALTER TABLE `categories`
  ADD PRIMARY KEY (`id_categorie`),
  ADD UNIQUE KEY `categorie` (`categorie`);

--
-- Index pour la table `cotisations`
--
ALTER TABLE `cotisations`
  ADD PRIMARY KEY (`id_cotisation`),
  ADD KEY `fk_adherent_cotisations` (`fk_adherent`);

--
-- Index pour la table `emprunts`
--
ALTER TABLE `emprunts`
  ADD PRIMARY KEY (`id_emprunt`),
  ADD KEY `fk_jeu_emprunts` (`fk_jeu`),
  ADD KEY `fk_adherent_emprunts` (`fk_adherent`),
  ADD KEY `fk_ludothequaire_emprunts` (`fk_ludothequaire`);

--
-- Index pour la table `jeux`
--
ALTER TABLE `jeux`
  ADD PRIMARY KEY (`id_jeu`),
  ADD UNIQUE KEY `numero` (`numero`),
  ADD KEY `fk_categorie_jeux` (`fk_categorie`),
  ADD KEY `fk_age_jeux` (`fk_age`);

--
-- Index pour la table `ludothecaires`
--
ALTER TABLE `ludothecaires`
  ADD PRIMARY KEY (`id_ludo`),
  ADD UNIQUE KEY `login` (`login`);

--
-- AUTO_INCREMENT pour les tables déchargées
--

--
-- AUTO_INCREMENT pour la table `adherents`
--
ALTER TABLE `adherents`
  MODIFY `id_adherent` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT pour la table `ages`
--
ALTER TABLE `ages`
  MODIFY `id_age` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT pour la table `categories`
--
ALTER TABLE `categories`
  MODIFY `id_categorie` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT pour la table `cotisations`
--
ALTER TABLE `cotisations`
  MODIFY `id_cotisation` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT pour la table `emprunts`
--
ALTER TABLE `emprunts`
  MODIFY `id_emprunt` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT pour la table `jeux`
--
ALTER TABLE `jeux`
  MODIFY `id_jeu` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT pour la table `ludothecaires`
--
ALTER TABLE `ludothecaires`
  MODIFY `id_ludo` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;

--
-- Contraintes pour les tables déchargées
--

--
-- Contraintes pour la table `cotisations`
--
ALTER TABLE `cotisations`
  ADD CONSTRAINT `fk_adherent_cotisations` FOREIGN KEY (`fk_adherent`) REFERENCES `adherents` (`id_adherent`);

--
-- Contraintes pour la table `emprunts`
--
ALTER TABLE `emprunts`
  ADD CONSTRAINT `fk_adherent_emprunts` FOREIGN KEY (`fk_adherent`) REFERENCES `adherents` (`id_adherent`),
  ADD CONSTRAINT `fk_jeu_emprunts` FOREIGN KEY (`fk_jeu`) REFERENCES `jeux` (`id_jeu`),
  ADD CONSTRAINT `fk_ludothequaire_emprunts` FOREIGN KEY (`fk_ludothequaire`) REFERENCES `ludothecaires` (`id_ludo`);

--
-- Contraintes pour la table `jeux`
--
ALTER TABLE `jeux`
  ADD CONSTRAINT `fk_age_jeux` FOREIGN KEY (`fk_age`) REFERENCES `ages` (`id_age`),
  ADD CONSTRAINT `fk_categorie_jeux` FOREIGN KEY (`fk_categorie`) REFERENCES `categories` (`id_categorie`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
